## Class template wchannel_logger_mt

boost::log::sources::wchannel_logger_mt — Wide-char thread-safe logger. Functionally equivalent to `basic_channel_logger`.

## Synopsis

    // In header: <boost/log/sources/channel_logger.hpp>

    template<typename ChannelT = std::wstring>
    class wchannel_logger_mt : public basic_composite_logger< wchar_t, wchannel_logger< ChannelT >, multi_thread_model< implementation_defined >, features< channel< ChannelT > > >
    {
    public:
      // construct/copy/destruct
      wchannel_logger_mt();
      wchannel_logger_mt(wchannel_logger_mt const &);
      template<typename... ArgsT> explicit wchannel_logger_mt(ArgsT...const &);
      explicit wchannel_logger_mt(ChannelT const &);
      wchannel_logger_mt & operator=(wchannel_logger_mt const &);
    };

## Description

See `channel` class template for a more detailed description

### `wchannel_logger_mt` public construct/copy/destruct

1.     wchannel_logger_mt();

   Default constructor

2.     wchannel_logger_mt(wchannel_logger_mt const & that);

   Copy constructor

3.     template<typename... ArgsT> explicit wchannel_logger_mt(ArgsT...const & args);

   Constructor with named arguments

4.     explicit wchannel_logger_mt(ChannelT const & channel);

   The constructor creates the logger with the specified channel name

   Parameters:

   `channel` | The channel name

5.     wchannel_logger_mt & operator=(wchannel_logger_mt const & that);

   Assignment operator

   Swaps two loggers